> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank accounts for a client



## OpenAPI

````yaml /openapi/bank-accounts.json get /clients/{clientId}/bank-accounts
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /clients/{clientId}/bank-accounts:
    get:
      tags:
        - Bank Accounts
      summary: List bank accounts for a client
      operationId: bankAccounts.listByClient
      parameters:
        - name: clientId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: cursor
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: number
            minimum: 1
            maximum: 200
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country:
                              const: MX
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            clabe:
                              description: CLABE
                            codigoBanco:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Bank Code
                            codigoPlaza:
                              type: string
                              minLength: 3
                              maxLength: 3
                              description: Plaza Code
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - country
                            - currency
                            - createdAt
                            - updatedAt
                        - type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            clientId:
                              type: string
                              format: uuid
                            accountNumber:
                              type: string
                              minLength: 1
                              description: Account Number
                            bankName:
                              type: string
                              minLength: 1
                              description: Bank Name
                            bankCode:
                              type: string
                              description: Bank Code
                            country: {}
                            currency:
                              type: string
                              description: Currency
                            type:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                              description: Type
                              default: checking
                            isPrimary:
                              type: boolean
                              description: Is Primary
                            isActive:
                              type: boolean
                              description: Is Active
                            label:
                              type: string
                              description: Label
                            externalId:
                              type: string
                              description: External ID
                            metadata:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                              description: Metadata
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - clientId
                            - accountNumber
                            - bankName
                            - currency
                            - createdAt
                            - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````